--[[
Don't edit or remove this comment block! It is used by the editor to store information since i'm too lazy to write a good LUA parser... -Haz
SETTINGS
RestrictedEnhancements=ResourceAllocation,DamageStablization,AdvancedEngineering,T3Engineering,HeavyAntiMatterCannon,LeftPod,RightPod,Shield,ShieldGeneratorField,TacticalMissile,TacticalNukeMissile,Teleporter
RestrictedCategories=MASSFABRICATION,EXPERIMENTAL,UEL0201,UEL0202,UEL0203,UEL0111,UEL0205,UEL0307,UEL0303,UEL0304,UEL0401,UEA0101,UEA0102,UEA0103,UEA0107,UEA0203,UEA0204,UEA0302,UEA0104,UEA0303,UEA0304,UEA0305,UEL0208,UEL0309,URL0202,URL0203,URL0111,URL0205,URL0306,URL0303,URL0304,URL0402,URL0401,URA0101,URA0102,URA0103,URA0107,URA0203,URA0204,URA0302,URA0104,URA0303,URA0304,URA0401,URL0208,URL0309,UAL0202,UAL0111,UAL0205,UAL0307,UAL0303,UAL0304,UAL0401,UAA0101,UAA0102,UAA0103,UAA0107,UAA0203,UAA0204,UAA0302,UAA0104,UAA0303,UAA0304,UAA0310,UAL0208,UAL0309,UAL0105,URL0105,UEL0105,DEA0202,DRA0202,DAA0206,DEL0204,DAL0310,DRL0204
END
--]]

local ScenarioUtils = import('/lua/sim/ScenarioUtilities.lua')
local ScenarioFramework = import('/lua/ScenarioFramework.lua')

function OnPopulate()
  ScenarioUtils.InitializeArmies()
end

function OnStart(self)
  ScenarioFramework.RestrictEnhancements({
    'ResourceAllocation',
    'DamageStablization',
    'AdvancedEngineering',
    'T3Engineering',
    'HeavyAntiMatterCannon',
    'LeftPod',
    'RightPod',
    'Shield',
    'ShieldGeneratorField',
    'TacticalMissile',
    'TacticalNukeMissile',
    'Teleporter',
  })
  ScenarioFramework.AddRestriction(1, categories.MASSFABRICATION)
  ScenarioFramework.AddRestriction(1, categories.EXPERIMENTAL)
  ScenarioFramework.AddRestriction(1, categories.UEL0201)
  ScenarioFramework.AddRestriction(1, categories.UEL0202)
  ScenarioFramework.AddRestriction(1, categories.UEL0203)
  ScenarioFramework.AddRestriction(1, categories.UEL0111)
  ScenarioFramework.AddRestriction(1, categories.UEL0205)
  ScenarioFramework.AddRestriction(1, categories.UEL0307)
  ScenarioFramework.AddRestriction(1, categories.UEL0303)
  ScenarioFramework.AddRestriction(1, categories.UEL0304)
  ScenarioFramework.AddRestriction(1, categories.UEL0401)
  ScenarioFramework.AddRestriction(1, categories.UEA0101)
  ScenarioFramework.AddRestriction(1, categories.UEA0102)
  ScenarioFramework.AddRestriction(1, categories.UEA0103)
  ScenarioFramework.AddRestriction(1, categories.UEA0107)
  ScenarioFramework.AddRestriction(1, categories.UEA0203)
  ScenarioFramework.AddRestriction(1, categories.UEA0204)
  ScenarioFramework.AddRestriction(1, categories.UEA0302)
  ScenarioFramework.AddRestriction(1, categories.UEA0104)
  ScenarioFramework.AddRestriction(1, categories.UEA0303)
  ScenarioFramework.AddRestriction(1, categories.UEA0304)
  ScenarioFramework.AddRestriction(1, categories.UEA0305)
  ScenarioFramework.AddRestriction(1, categories.UEL0208)
  ScenarioFramework.AddRestriction(1, categories.UEL0309)
  ScenarioFramework.AddRestriction(1, categories.URL0202)
  ScenarioFramework.AddRestriction(1, categories.URL0203)
  ScenarioFramework.AddRestriction(1, categories.URL0111)
  ScenarioFramework.AddRestriction(1, categories.URL0205)
  ScenarioFramework.AddRestriction(1, categories.URL0306)
  ScenarioFramework.AddRestriction(1, categories.URL0303)
  ScenarioFramework.AddRestriction(1, categories.URL0304)
  ScenarioFramework.AddRestriction(1, categories.URL0402)
  ScenarioFramework.AddRestriction(1, categories.URL0401)
  ScenarioFramework.AddRestriction(1, categories.URA0101)
  ScenarioFramework.AddRestriction(1, categories.URA0102)
  ScenarioFramework.AddRestriction(1, categories.URA0103)
  ScenarioFramework.AddRestriction(1, categories.URA0107)
  ScenarioFramework.AddRestriction(1, categories.URA0203)
  ScenarioFramework.AddRestriction(1, categories.URA0204)
  ScenarioFramework.AddRestriction(1, categories.URA0302)
  ScenarioFramework.AddRestriction(1, categories.URA0104)
  ScenarioFramework.AddRestriction(1, categories.URA0303)
  ScenarioFramework.AddRestriction(1, categories.URA0304)
  ScenarioFramework.AddRestriction(1, categories.URA0401)
  ScenarioFramework.AddRestriction(1, categories.URL0208)
  ScenarioFramework.AddRestriction(1, categories.URL0309)
  ScenarioFramework.AddRestriction(1, categories.UAL0202)
  ScenarioFramework.AddRestriction(1, categories.UAL0111)
  ScenarioFramework.AddRestriction(1, categories.UAL0205)
  ScenarioFramework.AddRestriction(1, categories.UAL0307)
  ScenarioFramework.AddRestriction(1, categories.UAL0303)
  ScenarioFramework.AddRestriction(1, categories.UAL0304)
  ScenarioFramework.AddRestriction(1, categories.UAL0401)
  ScenarioFramework.AddRestriction(1, categories.UAA0101)
  ScenarioFramework.AddRestriction(1, categories.UAA0102)
  ScenarioFramework.AddRestriction(1, categories.UAA0103)
  ScenarioFramework.AddRestriction(1, categories.UAA0107)
  ScenarioFramework.AddRestriction(1, categories.UAA0203)
  ScenarioFramework.AddRestriction(1, categories.UAA0204)
  ScenarioFramework.AddRestriction(1, categories.UAA0302)
  ScenarioFramework.AddRestriction(1, categories.UAA0104)
  ScenarioFramework.AddRestriction(1, categories.UAA0303)
  ScenarioFramework.AddRestriction(1, categories.UAA0304)
  ScenarioFramework.AddRestriction(1, categories.UAA0310)
  ScenarioFramework.AddRestriction(1, categories.UAL0208)
  ScenarioFramework.AddRestriction(1, categories.UAL0309)
  ScenarioFramework.AddRestriction(1, categories.UAL0105)
  ScenarioFramework.AddRestriction(1, categories.URL0105)
  ScenarioFramework.AddRestriction(1, categories.UEL0105)
  ScenarioFramework.AddRestriction(1, categories.DEA0202)
  ScenarioFramework.AddRestriction(1, categories.DRA0202)
  ScenarioFramework.AddRestriction(1, categories.DAA0206)
  ScenarioFramework.AddRestriction(1, categories.DEL0204)
  ScenarioFramework.AddRestriction(1, categories.DAL0310)
  ScenarioFramework.AddRestriction(1, categories.DRL0204)
  ScenarioFramework.AddRestriction(2, categories.MASSFABRICATION)
  ScenarioFramework.AddRestriction(2, categories.EXPERIMENTAL)
  ScenarioFramework.AddRestriction(2, categories.UEL0201)
  ScenarioFramework.AddRestriction(2, categories.UEL0202)
  ScenarioFramework.AddRestriction(2, categories.UEL0203)
  ScenarioFramework.AddRestriction(2, categories.UEL0111)
  ScenarioFramework.AddRestriction(2, categories.UEL0205)
  ScenarioFramework.AddRestriction(2, categories.UEL0307)
  ScenarioFramework.AddRestriction(2, categories.UEL0303)
  ScenarioFramework.AddRestriction(2, categories.UEL0304)
  ScenarioFramework.AddRestriction(2, categories.UEL0401)
  ScenarioFramework.AddRestriction(2, categories.UEA0101)
  ScenarioFramework.AddRestriction(2, categories.UEA0102)
  ScenarioFramework.AddRestriction(2, categories.UEA0103)
  ScenarioFramework.AddRestriction(2, categories.UEA0107)
  ScenarioFramework.AddRestriction(2, categories.UEA0203)
  ScenarioFramework.AddRestriction(2, categories.UEA0204)
  ScenarioFramework.AddRestriction(2, categories.UEA0302)
  ScenarioFramework.AddRestriction(2, categories.UEA0104)
  ScenarioFramework.AddRestriction(2, categories.UEA0303)
  ScenarioFramework.AddRestriction(2, categories.UEA0304)
  ScenarioFramework.AddRestriction(2, categories.UEA0305)
  ScenarioFramework.AddRestriction(2, categories.UEL0208)
  ScenarioFramework.AddRestriction(2, categories.UEL0309)
  ScenarioFramework.AddRestriction(2, categories.URL0202)
  ScenarioFramework.AddRestriction(2, categories.URL0203)
  ScenarioFramework.AddRestriction(2, categories.URL0111)
  ScenarioFramework.AddRestriction(2, categories.URL0205)
  ScenarioFramework.AddRestriction(2, categories.URL0306)
  ScenarioFramework.AddRestriction(2, categories.URL0303)
  ScenarioFramework.AddRestriction(2, categories.URL0304)
  ScenarioFramework.AddRestriction(2, categories.URL0402)
  ScenarioFramework.AddRestriction(2, categories.URL0401)
  ScenarioFramework.AddRestriction(2, categories.URA0101)
  ScenarioFramework.AddRestriction(2, categories.URA0102)
  ScenarioFramework.AddRestriction(2, categories.URA0103)
  ScenarioFramework.AddRestriction(2, categories.URA0107)
  ScenarioFramework.AddRestriction(2, categories.URA0203)
  ScenarioFramework.AddRestriction(2, categories.URA0204)
  ScenarioFramework.AddRestriction(2, categories.URA0302)
  ScenarioFramework.AddRestriction(2, categories.URA0104)
  ScenarioFramework.AddRestriction(2, categories.URA0303)
  ScenarioFramework.AddRestriction(2, categories.URA0304)
  ScenarioFramework.AddRestriction(2, categories.URA0401)
  ScenarioFramework.AddRestriction(2, categories.URL0208)
  ScenarioFramework.AddRestriction(2, categories.URL0309)
  ScenarioFramework.AddRestriction(2, categories.UAL0202)
  ScenarioFramework.AddRestriction(2, categories.UAL0111)
  ScenarioFramework.AddRestriction(2, categories.UAL0205)
  ScenarioFramework.AddRestriction(2, categories.UAL0307)
  ScenarioFramework.AddRestriction(2, categories.UAL0303)
  ScenarioFramework.AddRestriction(2, categories.UAL0304)
  ScenarioFramework.AddRestriction(2, categories.UAL0401)
  ScenarioFramework.AddRestriction(2, categories.UAA0101)
  ScenarioFramework.AddRestriction(2, categories.UAA0102)
  ScenarioFramework.AddRestriction(2, categories.UAA0103)
  ScenarioFramework.AddRestriction(2, categories.UAA0107)
  ScenarioFramework.AddRestriction(2, categories.UAA0203)
  ScenarioFramework.AddRestriction(2, categories.UAA0204)
  ScenarioFramework.AddRestriction(2, categories.UAA0302)
  ScenarioFramework.AddRestriction(2, categories.UAA0104)
  ScenarioFramework.AddRestriction(2, categories.UAA0303)
  ScenarioFramework.AddRestriction(2, categories.UAA0304)
  ScenarioFramework.AddRestriction(2, categories.UAA0310)
  ScenarioFramework.AddRestriction(2, categories.UAL0208)
  ScenarioFramework.AddRestriction(2, categories.UAL0309)
  ScenarioFramework.AddRestriction(2, categories.UAL0105)
  ScenarioFramework.AddRestriction(2, categories.URL0105)
  ScenarioFramework.AddRestriction(2, categories.UEL0105)
  ScenarioFramework.AddRestriction(2, categories.DEA0202)
  ScenarioFramework.AddRestriction(2, categories.DRA0202)
  ScenarioFramework.AddRestriction(2, categories.DAA0206)
  ScenarioFramework.AddRestriction(2, categories.DEL0204)
  ScenarioFramework.AddRestriction(2, categories.DAL0310)
  ScenarioFramework.AddRestriction(2, categories.DRL0204)
end
